Summary:       Line wrapping with support for several locale setups
Name:          perl-Text-WrapI18N
Version:       0.06
Release:       5%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Text-WrapI18N
Source0:       https://cpan.metacpan.org/authors/id/K/KU/KUBOTA/Text-WrapI18N-%{version}.tar.gz

BuildRequires: make perl-generators perl(Exporter) perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple) perl(Text::CharWidth) perl(strict) perl(vars) perl(warnings)

BuildArch:     noarch

%{?perl_default_filter}

%description
This is a module which intends to substitute Text::Wrap,
which supports internationalized texts including:
 - multi-byte encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, and Big5,
 - full width characters like east Asian characters which appear in UTF-8, EUC-JP, EUC-KR, GB2312,
   Big5, and so on,
 - combining characters like diacritical marks which appear in UTF-8, ISO-8859-11 (aka TIS-620), and
   so on, and
 - languages which don't use white spaces between words, like Chinese and Japanese.

%prep
%autosetup -n Text-WrapI18N-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes
%{perl_vendorlib}/Text
%{_mandir}/man3/Text::WrapI18N.3pm*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.06-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.06-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.06-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.06-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 0.06-1
- initial build
